/*
 *  file      : src/ntb_init_package.c
 *  project   : b2im
 *  copyright : (C) 2015 by BULIN Claude
 * 
 *  This file is part of b2im project
 * 
 *  b2im is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; version 3.
 * 
 *  b2im is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */
 
// ---------------------------------------
// #define NOTEBOOK_INIT_PACKAGES	0 <---
// #define NOTEBOOK_DESKTOP			1
// #define NOTEBOOK_KERNEL			2
// #define NOTEBOOK_PACKAGE			3
// #define NOTEBOOK_GFXBOOT			4
// #define NOTEBOOK_TO_HOME			5
// #define NOTEBOOK_GENERATE		6
// ---------------------------------------

#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif
#include <gtk/gtk.h>
#include <glib.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef ENABLE_STATIC_LIBRARY
	#include "../lib_b2im/lib.h"
#endif

#include "global.h"
#include "configuser.h"



GtkWidget *filechooserdialog;




// Demande de destruction de la fenetre
// 
gboolean fileselect_on_filechooserdialog_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_destroy( filechooserdialog );
	filechooserdialog = NULL;
	return FALSE;
}
// Demande de destruction de la fenetre
// 
gboolean fileselect_on_filechooserdialog_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_destroy( filechooserdialog );
	filechooserdialog = NULL;
	return FALSE;
}
// 
// 
void on_button_stokage_iso_file_clicked( GtkButton *button, gpointer user_data )
{
	gint	res;
	
	filechooserdialog = gtk_file_chooser_dialog_new (
							"on_button_stokage_iso_file_clicked",
							NULL,
							GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER,
							_("Cancel"),
							GTK_RESPONSE_CANCEL,
							_("Open"),
							GTK_RESPONSE_ACCEPT,
							NULL
							);
	gtk_file_chooser_set_select_multiple( GTK_FILE_CHOOSER(filechooserdialog), FALSE );
	gtk_window_set_position( GTK_WINDOW(filechooserdialog), GTK_WIN_POS_CENTER );
	gtk_window_set_transient_for( GTK_WINDOW(filechooserdialog), GTK_WINDOW(WindMain_wind_main) );
	gtk_window_set_modal( GTK_WINDOW(filechooserdialog), TRUE );
	gtk_file_chooser_set_current_folder(
		GTK_FILE_CHOOSER(filechooserdialog),
		gtk_button_get_label( GTK_BUTTON(GLADE_GET_OBJECT("button_stokage_iso_file")) )
		);
	gtk_window_set_type_hint( GTK_WINDOW(filechooserdialog), GDK_WINDOW_TYPE_HINT_DIALOG );
	g_signal_connect( (gpointer)filechooserdialog, "delete_event",  G_CALLBACK(fileselect_on_filechooserdialog_delete_event), NULL );
	g_signal_connect( (gpointer)filechooserdialog, "destroy_event", G_CALLBACK(fileselect_on_filechooserdialog_destroy_event), NULL );
	
  	res = gtk_dialog_run( GTK_DIALOG(filechooserdialog) );
  	if (res == GTK_RESPONSE_ACCEPT) {
		if( NULL != Config.path_cache_iso ) {
			g_free( Config.path_cache_iso );
			Config.path_cache_iso = NULL;
		}
		Config.path_cache_iso = g_strdup( gtk_file_chooser_get_current_folder( GTK_FILE_CHOOSER(filechooserdialog) ));
		gtk_button_set_label(
			GTK_BUTTON(GLADE_GET_OBJECT("button_stokage_iso_file")),
			Config.path_cache_iso
			);
		gtk_widget_destroy( filechooserdialog );
		filechooserdialog = NULL;
		
		test_exist_and_config_manjaro_tools();
	}
	else if(res == GTK_RESPONSE_CANCEL) {
		gtk_widget_destroy( filechooserdialog );
		filechooserdialog = NULL;
	}
}
// 
// 
void on_button_location_manjaro_profile_clicked( GtkButton *button, gpointer user_data )
{
	gint	res;
	
	filechooserdialog = gtk_file_chooser_dialog_new (
							"on_button_location_manjaro_profile_clicked",
							NULL,
							GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER,
							_("Cancel"),
							GTK_RESPONSE_CANCEL,
							_("Open"),
							GTK_RESPONSE_ACCEPT,
							NULL
							);
	gtk_file_chooser_set_select_multiple( GTK_FILE_CHOOSER(filechooserdialog), FALSE );
	gtk_window_set_position( GTK_WINDOW(filechooserdialog), GTK_WIN_POS_CENTER );
	gtk_window_set_transient_for( GTK_WINDOW(filechooserdialog), GTK_WINDOW(WindMain_wind_main) );
	gtk_window_set_modal( GTK_WINDOW(filechooserdialog), TRUE );
	gtk_file_chooser_set_current_folder(
		GTK_FILE_CHOOSER(filechooserdialog),
		gtk_button_get_label( GTK_BUTTON(GLADE_GET_OBJECT("button_location_manjaro_profile")) )
		);
	gtk_window_set_type_hint( GTK_WINDOW(filechooserdialog), GDK_WINDOW_TYPE_HINT_DIALOG );
	g_signal_connect( (gpointer)filechooserdialog, "delete_event",  G_CALLBACK(fileselect_on_filechooserdialog_delete_event), NULL );
	g_signal_connect( (gpointer)filechooserdialog, "destroy_event", G_CALLBACK(fileselect_on_filechooserdialog_destroy_event), NULL );
	
  	res = gtk_dialog_run( GTK_DIALOG(filechooserdialog) );
	if (res == GTK_RESPONSE_ACCEPT) {
		if( NULL != Config.path_folder_manjaro_profiles ) {
			g_free( Config.path_folder_manjaro_profiles );
			Config.path_folder_manjaro_profiles = NULL;
		}
		Config.path_folder_manjaro_profiles = g_strdup( gtk_file_chooser_get_current_folder( GTK_FILE_CHOOSER(filechooserdialog) ));
		gtk_button_set_label(
			GTK_BUTTON(GLADE_GET_OBJECT("button_location_manjaro_profile")),
			Config.path_folder_manjaro_profiles
			);
		gtk_widget_destroy( filechooserdialog );
		filechooserdialog = NULL;
		
		test_exist_and_config_manjaro_tools();
	}
	else if(res == GTK_RESPONSE_CANCEL) {
		gtk_widget_destroy( filechooserdialog );
		filechooserdialog = NULL;
	}
}
